function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local buildMenuArrows = false

function mission:intro()

        showDialogueLeft({ characterKey = "moppet", textKey = "mission_grandholidays01_005", tone = "fact" })
        showDialogueRight({ characterKey = "edwyn", textKey = "mission_grandholidays01_006", tone = "fact" })
        hideDialogue()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
	  if not hasBuildingWithTag("tag_deco_holiday_house_pet") then
  
	  -- Show UI arrows on build menu elements
        showArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_holiday_house_pet")

    -- Build menu arrows are now shown so flag local variable to true
        buildMenuArrows = true

    end

end

function mission:outro()

  -- If build menu arrows are shown they need to be hidden    
    if buildMenuArrows then
      buildMenuArrows = false

	-- Hide UI arrows on build menu elements
   		hideArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_holiday_house_pet")

    -- Dialog keani
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_grandholidays02_001", tone = "fact" })
        
        showDialogueRight({ characterKey = "edwyn", textKey = "mission_grandholidays02_002" })
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_grandholidays02_003" })
        showDialogueRight({ characterKey = "edwyn", textKey = "mission_grandholidays02_004" })
        showDialogueRight({ characterKey = "edwyn", textKey = "mission_grandholidays02_005" })
        showDialogueRight({ characterKey = "edwyn", textKey = "mission_grandholidays02_006" })
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_grandholidays02_007" })
        hideDialogue()

    end

end
