function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

local buildMenuArrows = false

function mission:intro()

        showDialogueLeft({ characterKey = "keani", textKey = "mission_halloween2_000", tone = "fact" })
        hideDialogue()

  -- THIS TAG SHOULD MATCH THE TAG IN THE OBJECTIVE
	  if not hasBuildingWithTag("tag_deco_great_pumpkin_pet") then
  
	  -- Show UI arrows on build menu elements
        showArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_great_pumpkin_pet")

    -- Build menu arrows are now shown so flag local variable to true
        buildMenuArrows = true

    end

end

function mission:outro()

  -- If build menu arrows are shown they need to be hidden    
    if buildMenuArrows then
      buildMenuArrows = false

	-- Hide UI arrows on build menu elements
   		hideArrowOnLocatorSequence("locatorId_hud_buildButton", "category_locator_decorations", "build_menu_item_locator_building_deco_great_pumpkin_pet")

    -- Dialog keani
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_halloween2_001", tone = "fact" })
        
        showDialogueRight({ characterKey = "henry", textKey = "mission_halloween2_002" })
        showDialogueRight({ characterKey = "henry", textKey = "mission_halloween2_003" })
        showDialogueRight({ characterKey = "henry", textKey = "mission_halloween2_004" })
        
        showDialogueLeft({ characterKey = "moppet", textKey = "mission_halloween2_005" })

        showDialogueRight({ characterKey = "keani", textKey = "mission_halloween2_006" })
        hideDialogue()

    end

end
