function hasBuildingWithTag(tag)
	 local playerFacade = demandManager("VillageManager"):getViewingPlayerFacade()
	 return playerFacade:getVillageFacade():getCountOfEntitiesWithTag(tag) > 0
end

function mission:intro()

-- Pan camera to Finn
    panCameraToBuildingWithTag("tag_building_boy")

    runFunctionOnBuildingWithTag("tag_building_christmas_shop", function(entity)
    	entity:getOnlyComponentWithType("HideUntilCharacterIntroController"):showEntity()
	end)

-- dialog finn
	showDialogueLeft({ characterKey = "moppet", textKey = "mission_event_christmas15_01_120", tone = "fact"})	


  -- If you do not have Sita
	if not hasBuildingWithTag("tag_building_shop_woman") then

	-- Dialog Keani
	showDialogueRight({ characterKey = "keani", textKey = "mission_event_christmas15_01_140"})

		-- If you have Sita
	  	else if hasBuildingWithTag("tag_building_shop_woman") then

		-- Dialog sita
		showDialogueRight({ characterKey = "jasmine", textKey = "mission_event_christmas15_01_130"})

		-- dialog keani
	    showDialogueLeft({ characterKey = "keani", textKey = "mission_event_christmas15_01_140"})	  	

	  	end

	end
hideDialogue()

-- Display arrow on christmas barge
	showAlertOnBuildingWithTag("arrow", "tag_building_christmas_shop")	

-- Pan camera to christmas barge
    panCameraToBuildingWithTag("tag_building_christmas_shop")

-- Force bazaar to open to christmas deco tab
	setDefaultBazaarFocusItem("building_deco_holiday_snow")    


end

function mission:outro()	

-- Clear christmas barge forced focus item
	clearDefaultBazaarFocusItem()
	
-- Hide arrow on christmas barge
	hideAlertOnBuildingWithTag("arrow", "tag_building_christmas_shop")


  -- If you do not have clara
	if not hasBuildingWithTag("tag_building_adventurer") then

	-- Dialog Wesley
	showDialogueLeft({ characterKey = "edwyn", textKey = "mission_event_christmas15_01_170", tone = "happy"})

		-- If you have clara
	  	else if hasBuildingWithTag("tag_building_adventurer") then

		-- Dialog pike
		showDialogueLeft({ characterKey = "henry", textKey = "mission_event_christmas15_01_150", tone = "happy"})

		-- dialog clara
		showDialogueRight({ characterKey = "clara", textKey = "mission_event_christmas15_01_160"})

		-- dialog wesley
		showDialogueLeft({ characterKey = "edwyn", textKey = "mission_event_christmas15_01_170"})

	  	end

	end


-- dialog finn
	showDialogueRight({ characterKey = "moppet", textKey = "mission_event_christmas15_01_180"})
hideDialogue()

end
