function mission:intro()

-- Pan camera to wesley
    panCameraToBuildingWithTag("tag_building_boy")

-- Dialog finn
	showDialogueLeft({ characterKey = "moppet", textKey = "mission_tradefest_003_100", tone = "fact" })

-- Dialog wesley
	showDialogueRight({ characterKey = "edwyn", textKey = "mission_tradefest_003_110" })

-- Dialog pike
	showDialogueLeft({ characterKey = "henry", textKey = "mission_tradefest_003_120" })

-- Dialog Keani
	showDialogueRight({ characterKey = "keani", textKey = "mission_tradefest_003_130" })	
	hideDialogue()

-- Horatio Introduction
    --panCameraToBuildingWithTag("tag_building_live_event_sign_post")
    playLiveEventIntroAnimation("horatio_intro", {
        blendOutTime = 3.0,
        customBlendOutTargetPositionFunction = function()
            setCameraToWorldPosition(30.220993, 0.000000, -37.247723, 0.5)
        end
    })

-- Dialog Horatio
	showDialogueLeft({ characterKey = "horatio", textKey = "mission_tradefest_003_140", tone = "happy" })
	showDialogueLeft({ characterKey = "horatio", textKey = "mission_tradefest_003_150" })
	showDialogueLeft({ characterKey = "horatio", textKey = "mission_tradefest_003_160" })
	showDialogueLeft({ characterKey = "horatio", textKey = "mission_tradefest_003_170" })
	showDialogueLeft({ characterKey = "horatio", textKey = "mission_tradefest_003_180" })
	showDialogueLeft({ characterKey = "horatio", textKey = "mission_tradefest_003_190" })				

-- Dialog Keani
	showDialogueRight({ characterKey = "keani", textKey = "mission_tradefest_003_200" })

-- Dialog wesley
	showDialogueLeft({ characterKey = "edwyn", textKey = "mission_tradefest_003_210" })

-- Dialog sita
	showDialogueRight({ characterKey = "jasmine", textKey = "mission_tradefest_003_220" })

-- Dialog finn
	showDialogueRight({ characterKey = "moppet", textKey = "mission_tradefest_003_230" })

-- Dialog horatio
	showDialogueLeft({ characterKey = "horatio", textKey = "mission_tradefest_003_240" })
	showDialogueLeft({ characterKey = "horatio", textKey = "mission_tradefest_003_250" })		
	hideDialogue()
	
-- Pan camera to the party barge
    panCameraToBuildingWithTag("tag_building_live_event_sign_post")	

-- Dialog finn    
	showDialogueRight({ characterKey = "moppet", textKey = "mission_tradefest_003_260" })

-- Dialog Wesley
	showDialogueLeft({ characterKey = "edwyn", textKey = "mission_tradefest_003_270" })

-- Dialog sita
	showDialogueRight({ characterKey = "jasmine", textKey = "mission_tradefest_003_280" })

-- Dialog Horatio
	showDialogueLeft({ characterKey = "horatio_cheer", textKey = "mission_tradefest_003_290" })
	hideDialogue()

-- Show alert arrow on the party barge
	showAlertOnBuildingWithTag("arrow", "tag_building_live_event_sign_post")

end

function mission:outro()

-- Hide alert arrow on the party barge
	hideAlertOnBuildingWithTag("arrow", "tag_building_live_event_sign_post")

end
